package com.caimei.model.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * Description
 *
 * @author : Aslee
 * @date : 2021/5/11
 */
@Data
public class ShopFormVo implements Serializable {
    /**
     * 供应商用户id
     */
    @ApiModelProperty("供应商用户id")
    private Integer authUserId;

    /**
     * 供应商名称
     */
    @ApiModelProperty("供应商名称")
    private String shopName;

    /**
     * 供应商类型：1代理商 2品牌方
     */
    @ApiModelProperty("供应商类型")
    private Integer shopType;

    /**
     * 所属品牌Id
     */
    @ApiModelProperty("所属品牌Id")
    private Integer brandId;

    /**
     * 所属品牌Logo
     */
    @ApiModelProperty("所属品牌Logo")
    private String brandAuthLogo;

    /**
     * 手机号
     */
    @ApiModelProperty("手机号")
    private String mobile;

    /**
     * 联系人
     */
    @ApiModelProperty("联系人")
    private String linkMan;

    /**
     * 产地国家Id
     */
    @ApiModelProperty("产地国家Id")
    private Integer countryId;

    /**
     * 官网认证链接
     */
    @ApiModelProperty("官网认证链接")
    private String securityLink;

    /**
     * 供应商状态：0停用 1启用
     */
    @ApiModelProperty("供应商状态：0停用 1启用")
    private Integer shopStatus;

    /**
     * 代理声明类型：1弹窗，2链接，3图片，4文件
     */
    @ApiModelProperty("代理声明类型：1弹窗，2链接，3图片，4文件")
    private Integer statementType;

    /**
     * 声明弹窗内容
     */
    @ApiModelProperty("声明弹窗内容")
    private String statementContent;

    /**
     * 声明链接
     */
    @ApiModelProperty("声明链接")
    private String statementLink;

    /**
     * 声明图片
     */
    @ApiModelProperty("声明图片")
    private String statementImage;

    /**
     * 声明文件名称
     */
    @ApiModelProperty("声明文件名称")
    private String statementFileName;

}
