package com.caimei.model.po;

import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * cm_brand_auth_product
 *
 * @author Aslee
 * @date 2021/5/17
 */
@Data
public class ProductPo {
    /**
     * 商品Id
     */
    private Integer productId;

    /**
     * 授权Id
     */
    private Integer authId;

    /**
     * 商品名称
     */
    private String productName;

    /**
     * sn码
     */
    private String snCode;

    /**
     * 商品图片
     */
    private String productImage;

    /**
     * 授权牌照
     */
    private String certificateImage;

    /**
     * 上架状态：0下架，1上架
     */
    private Integer status;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 创建人Id
     */
    private Integer createBy;
}